Subject: bug#77718: 31.0.50; completion styles substring and flex are broken

From: Stephen Berman <[email-masked]>
Date: Tue, 17 Jun 2025 17:56:38 +0200

On Tue, 17 Jun 2025 11:49:12 -0400 Spencer Baugh <[email-masked]> wrote:

> Stefan Monnier <[email-masked]> writes:
>>> There is no other regression.  rfn-eshadow works correctly, graying out
>>> the section of the minibuffer text which will be removed by
>>> substitute-in-file-name when read-file-name returns, even if point is in
>>> that section of the text.  This has always been the case.  Likewise, the
>>> pcm-based completion styles sometimes move point into that text on
>>> try-completion.  This has also always been the case.  So there is no
>>> other regression.
>>
>> So, can we close this?
>
> I believe it is already closed :)

Nevertheless, I hope the followup I just posted convinces you both that
the regression still obtains.

Steve Berman